﻿<UserControl x:Class="TheTrader.WPF.Views.BuyView" xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:controls="clr-namespace:TheTrader.WPF.Controls"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DataContext="{d:DesignInstance viewModels:BuyViewModel}"
             mc:Ignorable="d">
    <UserControl.Resources>
        <BooleanToVisibilityConverter x:Key="BooleanToVisibilityConverter" />
    </UserControl.Resources>
    <Grid Margin="20">
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>

        <WrapPanel Grid.Row="0" HorizontalAlignment="Center">
            <TextBox Width="150" CharacterCasing="Upper" Text="{Binding Symbol, UpdateSourceTrigger=PropertyChanged}"
                     TextAlignment="Center" />
            <Button Margin="5,0,0,0" Command="{Binding SearchSymbolCommand}" Content="Search" />
        </WrapPanel>

        <TextBlock Grid.Row="1" Margin="0,10,0,0" HorizontalAlignment="Center"
                   DataContext="{Binding ErrorMessageViewModel}"
                   Foreground="DarkRed"
                   Text="{Binding Message}"
                   Visibility="{Binding HasMessage, Converter={StaticResource BooleanToVisibilityConverter}}" />

        <TextBlock Grid.Row="2" Margin="0,10,0,0" HorizontalAlignment="Center"
                   DataContext="{Binding StatusMessageViewModel}"
                   Foreground="DarkGreen"
                   Text="{Binding Message}"
                   Visibility="{Binding HasMessage, Converter={StaticResource BooleanToVisibilityConverter}}" />

        <controls:SearchSymbolResultPanel Grid.Row="3" MaxWidth="500" Margin="0,20,0,0">
            <StackPanel HorizontalAlignment="Center">
                <WrapPanel Margin="0,10">
                    <TextBlock Width="150" Text="Shares to buy:" />
                    <TextBox Width="50" Text="{Binding SharesToBuy, UpdateSourceTrigger=PropertyChanged}"
                             TextAlignment="Center" />
                </WrapPanel>
                <WrapPanel Margin="0,10">
                    <TextBlock Width="150" Text="Price per share:" />
                    <TextBlock Width="50" Text="{Binding StockPrice, StringFormat={}{0:c}}" TextAlignment="Center" />
                </WrapPanel>
                <TextBlock Margin="0,10" HorizontalAlignment="Center" FontSize="32"
                           Text="{Binding TotalPrice, StringFormat={}{0:c}}" />
                <Button Margin="0,10" Command="{Binding BuyStockCommand}" Content="Buy" FontSize="18" />
            </StackPanel>
        </controls:SearchSymbolResultPanel>
    </Grid>
</UserControl>